Unplan Task
| Request | |
|---|---|
| Description | Remove a task from the planning. |
| Context | https://<instance>.optimizemyday.com/omdservices/rest/v1/services/task |
| URL | /unplan |
| Method | GET |
| Response Code | 200 when successful, another HTTP status code otherwise |
| Success Response | The details of the trip into which the task is removed. |
| Response Type | XML or JSON |
| Parameter | Datatype | Description |
|---|---|---|
| configId | Integer | The identifier of the configuration. |
| taskId | String | The external identifier of the task. |
| resourceId | String | The external identifier of the resource. |
| cost | Boolean | Indicates if the response should contain the costs before and after the plan. Defaults to false if omitted. |
| persist | String | Indicates if the changes must be persisted to the database. Defaults to true if omitted. |
| _output | String | The requested output format being xml or json. If omitted, xml is assumed. |
Note that the trip is normalized after the task has been removed.
Sample Call
https://sandbox.optimizemyday.com/omdservices/rest/v1/services/task/unplan?configId=16167225&taskId=0000161996-1-1-2017-05-11&persist=true
Sample Result
<Result success="true"> <Trip resource="10000024" day="2017-10-11">
<Stop stopType="4" starttime="2017-10-11 08:00:00" duration="0.0" travelDistance="0" travelTime="0.0" busyTime="0.0" pauseTimeTravel="0.0" pauseTimeOnSite="0.0" travelUnknown="false" overlap="0.0" clone="false">
<Address street="Grenzstr. 3" postalCode="08468" city="Reichenbach" country="DE" geocode="0_0_12292760_50614540 1"/>
</Stop>
<Stop stopType="5" starttime="2017-10-11 17:00:00" duration="0.0" travelDistance="0" travelTime="0.0" busyTime="0.0" pauseTimeTravel="0.0" pauseTimeOnSite="0.0" travelUnknown="false" overlap="0.0" clone="false">
<Address street="Grenzstr. 3" postalCode="08468" city="Reichenbach" country="DE" geocode="0_0_12292760_50614540 1"/>
</Stop>
<ResourceWorkPattern id="16176428" lastUpdate="2016-10-20 19:11:21" resource="10000024" workPattern="Standard" validFrom="2015-08-04 00:00:00" validTo="2040-08-04 00:00:00">
<WorkPattern id="16169128" lastUpdate="2015-12-07 11:42:23" configuration="16167225" externalId="Standard" standby="false" zeroDistanceForDeparture="false" zeroDistanceForArrival="false"/>
</ResourceWorkPattern>
<Cost costValue="0">
<CostComponent name="Waiting time" base="0.0" value="0"/>
<CostComponent name="Busy time" base="0.0" value="0"/>
<CostComponent name="Idle time" base="540.0" value="0"/>
</Cost>
</Trip>
</Result>